BSON_MALLOC0(3)

NAME
bson_malloc0 - bson_malloc0()

SYNOPSIS

        void *
        bson_malloc0 (size_t num_bytes);

PARAMETERS

    •   num_bytes: A size_t.

DESCRIPTION

This is a portable malloc() wrapper that also sets the memory to zero. Similar to calloc().

In general, this function will return an allocation at least sizeof(void*) bytes or bigger.

If there was a failure to allocate num_bytes bytes, the process will be aborted.

WARNING:
        This function will abort on failure to allocate memory.

RETURNS

A pointer to a memory region which HAS been zeroed.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc